OVERVIEW

This chapter gives an overview of the AddressBook Viewer.

» "About AddressBook Viewer"

Go to Top


About AddressBook Viewer

The AddressBook Viewer is client software for managing fax numbers and Email addresses of contacts. The AddressBook Viewer allows you to create or edit your Private Address Book as well as to efficiently manage contacts using various utility functions, such as the function to import the address book data of the MFP, LDAP server or Email clients.

Additionally, fax numbers and Email addresses managed by the AddressBook Viewer can be used for fax transmission with a Fax driver as recipient addresses.

Depending on the model, some items and/or functions may not be displayed.


START-UP AND INTERFACE

This chapter explains how to run the AddressBook Viewer and its interfaces.

After AddressBook Viewer is started but not yet operated, if the time set for "Session timer" in the WEB setting on TopAccess has passed, it will be timed out.

» "Running the AddressBook Viewer"

» "About AddressBook Viewer Interfaces"


Running the AddressBook Viewer

This section explains how to run the AddressBook Viewer. You can run the AddressBook Viewer using either of the following two ways:

Run the AddressBook Viewer from the start menu of a computer and manage the address book. » "Running the AddressBook Viewer from the start menu"
Run the AddressBook Viewer from a Fax driver and select a Network Fax or Internet Fax recipient. » "Running the AddressBook Viewer from a Fax driver"


Running the AddressBook Viewer from the start menu

Run the AddressBook Viewer from the start menu of a client computer.

  1. Click the start button, select [All Programs], [Okidata] and then [AddressBook Viewer].

    2. The AddressBook Viewer runs.

    If you enter an invalid authentication password several times to log into the MFP, you may not be able to log in for a certain period since it will be regarded as an unauthorized access.


Running the AddressBook Viewer from a Fax driver

Run the AddressBook Viewer from a Fax driver. Use this method when selecting a Network Fax or Internet Fax recipient.

  1. In the dialog box for printing in the application software, select the FAX driver for your model as the printer and click [Preferences].

    2. The dialog box of the Fax driver properties appears.

    Note that the command name to open the driver properties may differ from [Preferences] depending on the application software.

  2. Click [Address Book] in the [Send] tab.

    3. The AddressBook Viewer runs.


Selecting recipients

This section explains the basic operations in how to select a recipient in the AddressBook Viewer run from a Fax driver. To send a Network Fax, select the fax number. To send an Internet Fax, select the Email address.

To use the network fax function (Network Fax/Internet Fax) by using the Fax driver, the options and functions must be enabled.

Other than the method explained here, the function to select a contact by searching for a recipient from the address book can be used. The operation of the function is explained in another section. » "Searching contacts"

  1. To specify a fax number after selecting a contact from the contact list, click [Select Fax] and to specify an Email address, click [Select Email].

    2. The selected recipients are listed in the "Selected Fax" or "Selected Email".

    A contact, for which only a fax number is registered, cannot be displayed in the "Selected Email" and a contact, for which only an Email address is registered, cannot be displayed in the "Selected Fax".

    For models that do not accept Email addresses for destinations, [Select Email] is not available.

    You can select a recipient by the following operations:

    Selecting a contact by dragging and dropping

    Drag a contact in the contact list and drop it to the "Selected Fax" or "Selected Email".

    Selecting a contact by double-clicking on it

    Double-click on a contact in the contact list. To change the setting of the recipient to be selected upon double-clicking, select [Default Configuration], [Type Selection] in the [View] menu and then one of [Fax], [Email] and [Both].

    Selecting a contact from a shortcut menu

    Right-click on the contact in the contact list, select [Select] from the shortcut menu and then either [Fax Number] and [Email].

    Removing a recipient

    Select a recipient in the "Selected Fax" or "Selected Email" and click the corresponding [Remove] (Left: fax number, Right: email address).

  2. Click [OK].

    3. The selection is determined and the AddressBook Viewer is closed.


About AddressBook Viewer Interfaces

This section explains the AddressBook Viewer interfaces.

» "Main window"

» "Menus"


Main window

This section explains the interfaces of the main window displayed immediately after AddressBook Viewer start-up.

Menu bar

Functions are organized into five menus on the menu bar. You can perform various functions by selecting them from the menus on the menu bar. » "Menu bar"

Toolbar

Icons corresponding to functions are displayed on the toolbar. Some functions can be operated more quickly by clicking an icon rather than selecting them from the menu bar. » "Toolbar"

Address book list

This is the list of address books which can be managed by the AddressBook Viewer.
Private Address Book -- This is a private address book. Users can register or edit it.
Public Address Book -- This contains the contacts registered in the address book in this equipment.
MAPI Address Book -- This address book is registered in the default Email client software with MAPI (Messaging Application Programming Interface).
Windows Mail Address Book -- This address book is registered in Windows Mail. The name of the address book may differ depending on your Microsoft mail software.
LDAP Address Book -- This address book is registered in the LDAP server.
Import Address Book -- This address book is imported from a CSV file.

Contact list

When you select an address book from the address book list on the left-hand side, the list of its contacts is displayed.

Recipient selection tools

These are displayed between the Contact list and the Status display area only when the AddressBook Viewer is started from a Fax driver. You can select a Network Fax or Internet Fax recipient using these tools. » "Selecting recipients"

Status display area

This is displayed on the lowest part of the AddressBook Viewer screen. The selected function is described on the left and the total number of contacts registered in the selected address book is displayed on the right.


Menus

This section explains the AddressBook Viewer menus.

» "Menu bar"

» "Toolbar"

» "Shortcut menu"


Menu bar

AddressBook Viewer functions are categorized into five menus. You can select the menus from the menu bar.

File menu

New Contact -- Select this to add a new contact in the Private Address Book. If the currently selected item is a group, the contact will be created and listed in the group. If the currently selected item is the "Location/People" folder or "Private Address Book", the contact will be created in the "Location/People" folder. This menu is available only when selecting items in the Private Address Book. New Group -- Select this to add a new group in the Private Address Book. This menu is available only when selecting the "Group" folder in the Private Address Book. Properties -- Select this to edit or display the properties of a group or a contact in the Private or Public Address Book. Delete -- Select this to delete groups and contacts in the Private Address Book, or contacts in the LDAP Address Book. This menu will be available only when selecting a group or contacts in the Private Address Book or contacts in the LDAP Address Book. Devices -- Select this to download the Public Address Book from a MFP. Import
CSV File --Select this to import a CSV file exported from the address book of a model supporting AddressBook Viewer to the "Import Address Book".
Export
CSV File -- Select this to export the selected address book as a CSV file.
Exit -- Select this to exit the AddressBook Viewer.

Edit menu

Copy -- Select this to copy the selected contacts or a group to the clipboard. The contacts or a group copied to the clipboard can be pasted in the Private Address Book. This menu is available only when selecting a group or contacts in any address book. Paste -- Select this to paste the contacts or a group copied to the clipboard in the Private Address Book. If the group has been copied, this item is available only when selecting the "Group" folder. If the contacts have been copied, this menu is available only when selecting a group or the "Location/People" folder in the Private Address Book. Select All -- Select this to choose all contacts displayed in the contact list. This menu is available only when browsing groups or contacts. Find -- Select this to find a contact by searching the address book. You can also search the LDAP server to add the contacts in the LDAP Address Book.

View menu

Toolbar -- Select this to display or hide the toolbar. When the check mark appears in the menu, the toolbar is currently displayed. You can clear it to hide the toolbar. Status Bar -- Select this to display or hide the status bar. When the check mark appears in the menu, the status bar is currently displayed. You can clear it to hide the status bar. Large Icons -- Select this to display the contacts using large icons. Small Icons -- Select this to display the contacts using small icons. List -- Select this to display the contacts in list view. Details -- Select this to display the contacts in a list with detailed information. Sort By
Display Name -- Select this to sort the contacts by the display name.
Fax Number -- Select this to sort the contacts by the fax number.
Email Address -- Select this to sort the contacts by the Email address.
Ascending -- Select this to sort the contacts in ascending order.
Descending -- Select this to sort the contacts in descending order.
Default Configuration
Data Source -- Select the address book that will be the default address book for the [Find Contact] dialog box. Select the address book from which you frequently search for the contacts. The Public Address Book is set as the factory default.
Type Selection -- Select one of [Fax Number], [Email Address] and [Both] so that the corresponding recipient will be selected when the contact is double-clicked. [Email Address] is set as the factory default. This menu is available only when the AddressBook Viewer is run from a Fax driver.

Tools menu

LDAP Setting -- Select this to configure the LDAP service to obtain the LDAP Address Book from the LDAP server. Device Setting -- Select this to find the device to obtain the Public Address Book from a MFP.

Help menu

Contents and Index -- Select this to display the Online Help. About AddressBook Viewer -- Select this to display the version information.


Toolbar

Icons correspond to functions. Some functions can be operated more quickly by clicking an icon rather than making selection from the menu bar.

(New Contact) -- Click this to add a new contact in the Private Address Book. If the currently selected item is a group, the contact will be created as a member of the group. If the currently selected item is a contact or the address book, the contact will be created in the address book. This icon is available only when selecting items in the Private Address Book.

(New Group) -- Click this to add a new group to the Private Address Book. This icon is available only when selecting the "Group" folder in the Private Address Book.

(Copy) -- Click this to copy the selected contacts or a group to the clipboard. The contacts or the group copied to the clipboard can be pasted into the Private Address Book. This icon is available only when selecting a group or contacts in any address book.

(Paste) -- Click this to paste the contacts or a group copied to the clipboard into the Private Address Book. If a group has been copied, this item is available only when selecting the "Group" folder. If contacts have been copied, this item is available only when selecting a group or the "Location/People" folder in the Private Address Book.

(Properties) -- Click this to edit or display the properties of a group or a contact.

(Delete) -- Click this to delete a group or contacts in the Private Address Book. This icon is available only when selecting a group or contacts in the Private Address Book.

(Find) -- Click this to find a contact by searching the address book.

(Download AB) -- Click this to download the Public Address Book from a MFP.


Shortcut menu

You can use a shortcut menu by right-clicking on the address book list or contact list.

Add
Contact -- Select this to add a new contact to the Private Address Book. If the currently selected item is a group, the contact will be created as a member of the group. If the currently selected item is the "Location/People" or the Private Address Book folder, the contact will be created in the "Location/People" folder. This menu is available only when selecting items in the Private Address Book.
Group -- Select this to add a new group to the Private Address Book. This menu is available only when selecting the "Group" folder in the Private Address Book.
Copy -- Select this to copy the selected contacts or groups to the clipboard. The contacts or groups copied to the clipboard can be pasted into the Private Address Book. This menu is available only when selecting contacts or groups in any address book.
Paste -- Select this to paste the contacts or groups copied to the clipboard into the Private Address Book. This item is available only when selecting a group or the "Location/People" folder in the Private Address Book.
Properties -- Select this to edit or display the properties of a contact or group of Private Address Book.
Remove -- Select this to delete the selected contacts or groups in the Private Address Book. This menu is available only when selecting contacts or groups in the Private Address Book.
Select
Fax Number -- Select this to add the fax numbers of selected contacts or groups as fax recipients when using the Fax driver. This menu is available only when accessing the AddressBook Viewer from the Fax driver and selecting contacts or groups.
Email -- Select this to add the Email addresses of selected contacts or groups as fax recipients when using the Fax driver. This menu is available only when accessing the AddressBook Viewer from the Fax driver and selecting contacts or groups.

For models that do not accept Email addresses for destinations, [Select Email] is not available.


MANAGING ADDRESS BOOK

This chapter describes how to manage address books using the AddressBook Viewer.

» "About the Address Books"

» "Managing Contacts and Groups"


About the Address Books

Address books that can be managed by the AddressBook Viewer are as follows:

Private Address Book: This is a private address book. Users can register or edit it. » "Private Address Book"
Public Address Book: This address book is registered in MFPs. » "Public Address Book"
MAPI Address Book: This address book is registered in the default Email client software with MAPI (Messaging Application Programming Interface). » "MAPI Address Book"
Windows Mail Address Book: This address book is registered in Windows Mail. The name of the address book may differ depending on your Microsoft mail software. » "Windows Mail Address Book"
LDAP Address Book: This address book is registered in the LDAP server. » "LDAP Address Book"
Import Address Book: This address book is imported from a CSV file. » "Importing and exporting the address book"


Private Address Book

You can manage your own address book using the Private Address Book. You can add, delete, and modify the contacts in this address book. You can also create, delete, and modify groups.

Contacts and groups can be added to this address book in various ways using other address books within the AddressBook Viewer. For instruction on how to manage the contacts and groups in the Private Address Book, please see the following section:

» "Managing Contacts and Groups"


Public Address Book

You can use the Public Address Book by obtaining an address book registered in MFPs. You must correctly connect the client computer and MFP and its address book data need to be downloaded. Perform the following operations:

» "Connecting to MFP"

» "Downloading the Public Address Book"

Address book data cannot be downloaded if the client computer and MFP are connected via USB.


Connecting to MFP

You can search the device in your network and configure the connection.

» "Automatic connection"

» "Manual connection"

Automatic connection

  1. Click the [Tools] menu and select [Device Setting].

    2. The [Local Discovery] dialog box appears.

  2. Click [Start Discovery].

    3. The local discovery feature locates MFPs on the network.

    You can quit the process by clicking [Stop Discovery].

    Devices in different segments may not be found. If you cannot find your MFP, find it manually from [Manual Selection]. » "Manual connection"

    The search process may take a long especially when many clients exist on the network. In this case, change the discovery settings from [Advanced]. » "Narrowing Down Search Conditions"

    The target MFPs may not be found due to the SNMP settings. In this case, verify and change the settings on the [SNMP Settings] dialog box. » "Changing SNMP settings"

  3. From the list of the found devices, select the name of your MFP and click [OK].

    4. The AddressBook Viewer connects to the entered device and obtains the address book data in the Public Address Book.

    If your attempt to find the target MFP fails, try to find it by manually entering its IP address. » "Manual connection"

    When authentication screens appear, enter the necessary information below to log on to the MFP. For details, ask the administrator. User management: User name, Password, Domain (Windows Domain Authentication only)

Manual connection

  1. Click the [Tools] menu and select [Device Setting].

    2. The [Local Discovery] dialog box appears.

  2. Click [Manual Selection].

    3. The [Manual Selection] dialog box appears.

  3. Enter the following items and click [OK].

    4. IPv4 IP Address --Select this option to specify the device in the IPv4 address. If this option is selected, enter the IPv4 address of your MFP.

    IPv6 IP Address --Select this option to specify the device in the IPv6 address. If this option is selected, enter the IPv6 address of your MFP.

    Name --Enter the name of your MFP.

    Location --Enter the location of your MFP.

    [SNMP Settings] --Click this button when you need to verify and change the SNMP settings.

    » "Changing SNMP settings"

    You must fill in the [Name] and [IP Address] boxes.

    Depending on the model, IPv6 addresses and/or [SNMP Settings] are not supported.

  4. The device specified in step 3 is added to the list. Select the name of the added MFP and click [OK].

    5. The AddressBook Viewer connects to the entered device and obtains the address book data in the Public Address Book.

    The target MFPs may not be found due to the SNMP settings. In this case, verify and change the settings on the [SNMP Settings] dialog box. » "Changing SNMP settings"

    When authentication screens appear, enter the necessary information below to log on to the MFP. For details, ask the administrator. User management: User name, Password, Domain (Windows Domain Authentication only)


Narrowing Down Search Conditions

If you want to narrow down the search conditions, click [Advanced] on the [Local Discovery] dialog box. On the [Discovery Settings] dialog box that appears, make the following settings as required:

Devices

Click the arrow button to display the drop-down list box and turn on the check box(es) for the MFPs to be searched for.

Network

"Enable IPX/SPX Search" Select this option to search for MFPs on your IPX/SPX network. This option is available only when the IPX/SPX protocols are installed on your computer. "Enable TCP/IP Search" Select this option to search for MFPs on your TCP/IP network. This option is available only when the TCP/IP protocols are installed on your computer. When this option is selected, you need to specify the detailed search conditions for MFPs on the network.
Search local subnet --Select this option to search for MFPs in the local subnet. When this option is selected, select IPv4 or IPv6 check box for specifying the preferred protocol.
Specify a range -- Select this option to search for MFPs in a specific range of IP addresses. When this option is selected, select IPv4 or IPv6 check box and enter IP addresses in the [From] and [To] boxes to specify the range.

[SNMP Settings]

Click this button when you need to verify and change the SNMP settings. » "Changing SNMP settings"

Depending on the model, IPv6 addresses and/or [SNMP V3] are not supported.


Changing SNMP settings

If you cannot find the target MFPs on your network, the SNMP settings might be worth suspecting. Verify the correct SNMP settings on the [SNMP Settings] dialog box and change the settings, if needed. The dialog box can be accessed by clicking [SNMP Settings] on the Discovery Settings (» "Narrowing Down Search Conditions") or the [Manual Selection] dialog box (» "Manual connection").

Ask the administrator for details on the SNMP Network settings configured for your MFP.

Version

Be sure to have the correct SNMP version set for your MFP and select from the following options:
V1/V2-- Select this option to enable SNMP V1 and V2.
V3-- Select this option to enable SNMP V3.
V1/V2/V3 (for the [Discovery Settings] dialog box only)-- Select this option to enable SNMP V1, V2, and V3.

Depending on the model, SNMP V3 is not supported.

SNMP V1/V2

Community Name-- If a community name other than "public" (default) is set for the SNMP community name for your MFP, enter its community name.

To find your MFP under the SNMP V1/V2 environment, the community name set for the target MFP must be specified correctly. For help, consult the administrator.

SNMP V3

If SNMPV3 is enabled, use the option button to select the way to authenticate users. User ID File-- Select this option when you want to use a user ID file. Click [Browse] and specify the user ID file. User Name/Password-- Select this option when you want to use the user name and password. When this option is selected, entry or select the following items:
User Name
Authentication Protocol
Authentication Password
Privacy Protocol
Privacy Password

If you select the SNMPv3 to enable, consult your network administrator for preliminary advice on how to authenticate users.

Each entry for User Name, Authentication Password, and Privacy Password can consist of up to 31 alphanumeric characters.


Downloading the Public Address Book

You can select MFP from which you want to download the Public Address Book and the address book data to be displayed can be changed.

When the address book data meet the following conditions, the AddressBook Viewer downloads the address book data backed up using TopAccess through FTP. This requires the administrator to back up the latest address book data with TopAccess by enabling the FTP server in the MFP. If the download is not operated correctly or the address book data are old, ask your administrator. The total number of the contacts registered in the address book is 400 or more. The total number of the contacts registered in the groups of the address book is 200 or more.

  1. Click the [File] menu, select [Devices], and select the device name from which you want to download the address book.
  2. Select "Public Address Book" in the address book list.
  3. The [Downloading] dialog box appears. You can quit downloading the address book data by clicking [Cancel].

    4. The Public Address Book data is downloaded from the selected device.

    When authentication screens appear, enter the necessary information below to log on to the MFP. For details, ask the administrator. User management: User name, Password, Domain (Windows Domain Authentication only)


MAPI Address Book

The MAPI Address Book obtains and uses the address book (up to 2,000 contacts) registered in the default Email client software using the MAPI (Messaging Application Programming Interface).When the MAPI Address Book is selected in the address book list, the AddressBook Viewer automatically obtains the address book. If the AddressBook Viewer prompts an error message, the default Email client software has not been set in your computer, or the default Email software does not support MAPI. In this case, set the MAPI-supported Email client software as the default. If Microsoft Outlook is used as the default Email client, turn OFF the cache exchange mode before obtaining the MAPI address.The data obtained in the MAPI Address Book can be used by copying them to the Private Address Book.

» "Copying contacts from an address book"


Windows Mail Address Book

The Windows Mail Address Book obtains and uses the address book (up to 2,000 contacts) registered in Windows Mail. The name of the address book may differ depending on your Microsoft mail software. When the Windows Mail Address Book is selected in the address book list, the AddressBook Viewer automatically obtains the address book.

The data obtained in the Windows Mail Address Book can be used by copying them to the Private Address Book.

» "Copying contacts from an address book"


LDAP Address Book

The LDAP Address Book obtains and uses the address book (up to 2,000 contacts) registered in the LDAP server. This requires registering the LDAP server in the AddressBook Viewer correctly and adding the address book data in the LDAP server to the LDAP Address Book. Follow the operation below.

» "Registering the LDAP directory services"

» "Adding contacts from LDAP servers"

The data added to the LDAP Address Book can be used by copying them to the Private Address Book.

» "Copying contacts from an address book"


Registering the LDAP directory services

You can register multiple LDAP directory services.

  1. Click the [Tools] menu and select [LDAP Setting].

    2. The [Internet Account] dialog box appears.

  2. In the [General] tab, enter the items as described below.

    3. Directory Server Name -- Enter the server name or IP address of a LDAP server.

    This Server requires me to log on -- Select this if the LDAP server requires the user name and password to log on.

    Account Name -- Enter the user name to log on the LDAP server.

    Password -- Enter the password to log on the LDAP server.

    Log on using Secure Password Authentication -- Select this to use secure password to log on the LDAP server.

    Character code setting -- Select the character code for the LDAP server.

    In the [Directory Server Name] box, enter the IP address instead of the server name if the LDAP server name cannot be resolved.

  3. In the [Advanced] tab, enter the items as described below.

    4. Server Port Number - Directory service (LDAP) -- Enter the port number to access the LDAP server. It shows "389" as a default. Change this number if you are sure the LDAP port number is changed from the default port number on the LDAP server.

    Server Port Number - This Server requires a secure connection (SSL) -- Select this when you require to access the LDAP server using SSL.

    Search - Search timeout (minutes) -- Select the time-out interval for searching.

    Search - Maximum number of matches to return -- Select maximum numbers for the search results.

    Search - Search Base -- Enter the search root suffix.

  4. Click [Add].

    5. The entered directory service is added to the Directory Service list.

  5. Repeat the procedure from step 2 to step 4 until all required directory services are added.
  6. Click [Close].


Adding contacts from LDAP servers

You can search the contacts registered in the LDAP servers, select the desired ones from the search results and add them to the LDAP Address Book.

  1. Select [Find] from the [Edit] menu.

    2. The [Find Contact] dialog box appears.

  2. Select a registered directory service in the [Data Source].
  3. Display the [Person] tab and enter search strings in the following boxes.

    4. Display Name -- To search display names, enter a search string here.

    Fax Number -- To search fax numbers, enter the numbers here.

    Email -- To search Email address, enter a search string here.

    If you perform searching in the above conditions, proceed to step 5. If you want to set more detailed search conditions, proceed to step 4 and set the [Detail Setting] tab. Note that even if you enter the search conditions in both the [Person] and [Detail Setting] tabs, you cannot perform searching in these combined conditions.

    In the [Person] tab, you do not have to fill in all the boxes and the string does not need to completely correspond to the target of the search. Entering one or more characters in one or more boxes causes a search to be made for contacts which correspond to the particular conditions.

  4. Display the [Detail Setting] tab, set the search condition, and then click [Add].

    5. Field Select -- Select an item to be searched.

    Condition of search string -- Select a condition in the left-hand box, and then enter a search string in the right-hand box.

    The search condition is displayed in the "Condition list".

    To set more than one search condition, repeat this operation as many times as needed.

    To delete the search conditions, select one and click [Remove].

  5. Click [Search].

    6. It starts searching contacts in the LDAP server. When the search is complete, the contacts matching the search conditions are listed.

    To stop searching, click [Stop].

    To clear all the current search conditions and results, click [Clear All].

    Even if you enter the search conditions in both the [Person] and [Detail Setting] tabs, only the search condition in the tab currently displayed is used. You cannot perform searching in the combined conditions on both tabs.

  6. Select the contacts in the list of the search results and click [Add].

    7. The selected contacts are added to the LDAP Address Book.

    Contacts already registered in the LDAP Address Book will not be added.


Importing and exporting the address book

The Export feature of the AddressBook Viewer allows you to create a CSV file of your selected address book, and it can be imported to other user's AddressBook Viewer. The Import/Export feature is useful when users want to share the address book data.

» "Importing"

» "Exporting"

The CSV file to import the AddressBook Viewer must be created as the comma separated file in the appropriate format: For more information about the format, please contact your service engineer.

If any data are lost during importing, confirm the following: Neither the First Name nor Last Name is blank. Neither the Email address nor Fax number is blank.

Also you can use the Import Address Book to copy the contacts and groups to the Private Address Book.

» "Copying contacts from an address book"


Importing

You can import the address book data from a CSV file.

  1. Click the [File] menu and select [Import] and [CSV File].

    2. The [Importing] dialog box appears.

  2. Locate the folder where the CSV file is stored, and select the type of file to be imported in the [Files of type] box. Then select the file and click [Open].
  3. The address book data are imported into [Import Address Book].

    4. If you have already imported an address book before, the import contact information will overwrite the existing Import Address Book.

    If a record has been missing during the import process, the following are possible causes: The record already exists. The group name contains an invalid character. Characters other than 0 to 9, -, *, and # are used for Fax numbers.


Exporting

You can export the address book data as a CSV file.

  1. Select the address book that you want to export in the browse pane.
  2. Click the [File] menu and select [Export] and [CSV File].

    3. The [Exporting] dialog box appears.

  3. Locate the folder where you want to save the CSV file, enter the file name and click [Save].

    4. The selected address book is exported as a CSV file.


Managing Contacts and Groups

You can manage contacts and groups in the Private Address Book

Up to 2,000 contacts can be registered in the "Location/People" folder of the Private Address Book and they can be grouped. Up to 200 groups can be created and up to 400 contacts can be grouped together.

The contacts added to the "Group" folder are automatically added to the "Location/People" folder. Even if the group created in the "Group" folder is deleted, the contacts added to the "Location/People" folder remains.

» "Managing contacts"

» "Managing groups"

» "Searching contacts"


Managing contacts

You can add contacts to the "Location/People" folder and each created groups in the Private Address Book.

There are several ways to add the contact to the container.

» "Adding a new contact"

» "Copying contacts from an address book"

Also you can modify or delete contacts in the Private Address Book.

» "Displaying or modifying contacts properties"

» "Removing contacts"


Adding a new contact

You can add new contacts to the "Location/People" folder to the Private Address Book. Also you can add new contacts to the groups created in the Private Address Book.

  1. Select the folder to which you want to add new contact in the address book list.

    2. If you want to add a new individual contact to the Private Address Book, select the "Location/People" folder under "Private Address Book" folder.

    If you want to add a new contact to the group in the Private Address Book, select the group to which you want to add a contact in the "Group" folder under "Private Address Book" folder.

  2. Click the [File] menu and select [New Contact].

    3. The [New Contact] dialog box appears.

  3. In the [Personal] tab, enter the items as described below.

    4. One Touch ID -- Select the one touch ID number for the contact (if desired).

    Prefix -- Select the prefix for the contact.

    First Name -- Enter the first name of the contact. You can enter up to 32 characters.

    Last Name -- Enter the last name of the contact. You can enter up to 32 characters.

    Suffix -- Select the suffix for the contact.

    Display Name -- The display name is automatically entered as "[Prefix] [First Name] [Last Name] [Suffix]". You can also edit the name as you prefer. You can enter up to 80 characters.

    Company -- Enter the company name of the contact. You can enter up to 64 characters.

    Department -- Enter the department name of the contact. You can enter up to 64 characters.

    Fax -- Enter the 1st fax number of the contact. You can enter up to 128 characters including numbers and the following symbols: +, -, [space], *, #

    To add a 3-second pause to a fax telephone number, place a hyphen (-) at the desired point in the number.

    Second Fax -- Enter the 2nd fax number of the contact. You can enter up to 128 characters including numbers and the following symbols: +, -, [space], *, #

    To add a 3-second pause to a fax telephone number, place a hyphen (-) at the desired point in the number.

    Email Address -- Enter the Email address of the contact. You can enter up to 192 characters.

    Notes -- Enter any notes for the contact. You can enter up to 256 characters.

    You must enter either [First Name] or [Last Name], and either [Fax] or [Email Address].

  4. In the [Sending Options] tab, enter the items as described below as required.

    5. Use Sub Address and sender information -- Select this to enable sub address transmission for this contact. When this is selected, documents will be always sent using the specified sub address and SID. Also you can use this contact to perform polling transmission from the mailbox in the remote facsimile using the specified sub address and password.

    Sub Address -- Enter the sub address or mailbox number of remote facsimile where a document will be sent. This can be entered only when [Use Sub Address and sender information] is enabled. You can enter up to 20 characters.

    Sender Identification -- Enter the security password for the sub address if required. This can be entered only when [Use Sub Address and sender information] is enabled. You can enter up to 20 characters.

    Any other items in this tab cannot be modified.

  5. Click [OK].

    6. The contact is added to the list in the selected folder.


Copying contacts from an address book

You can also add contacts to the Private Address Book by copying contacts from another address book folder.

  1. Select the contact you want to copy in the contact list, and then select [Copy] in the [Edit] menu.

    2. The selected contacts are copied to the clipboard.

  2. Browse the Private Address Book and select a folder to which you want to add the copied contacts in the address book list.

    3. If you want to copy individual contacts to the Private Address Book, select the "Location/People" folder under the "Private Address Book" folder.

    If you want to copy contacts to the group in the Private Address Book, select the group to which you want to add contacts to the "Group" folder under the "Private Address Book" folder.

  3. Click the [Edit] menu and select [Paste].

    4. The copied contacts are added to the list in the selected folder.


Displaying or modifying contacts properties

You can display the properties of contacts in any address book. You can also edit the properties of contacts in the Private Address Book.

  1. Select the contact you want to display or modify in the contact list, and then [Properties] in the [File] menu.

    2. The [Properties] dialog box appears.

    The [Properties] dialog box can be also displayed by double-clicking the contact in the contact list.

In the [Properties] dialog box, you can modify the settings of the contacts in the Private Address Book only. When you display the [Properties] dialog box of the contacts in any other address books, you cannot modify the settings.

The [Properties] dialog box contains the [Personal] tab, [Sending Options] tab, and [Security] tab. The tabs that will be displayed vary depending on the type of the address book that the contact is chosen from.

Personal Tab

In the [Personal] tab, the following items are displayed:

When displaying the properties of a contact in the Private Address Book, you can modify all items.

One Touch ID -- Display the one touch ID number for the contact.
Prefix -- Display the prefix for the contact.
First Name -- Display the first name of the contact.
Last Name -- Display the last name of the contact.
Suffix -- Display the suffix for the contact.
Display Name -- Display the display name of the contact.
Company -- Display the company name of the contact.
Department -- Display the department name of the contact.
Fax -- Display the 1st fax number of the contact.
Second Fax -- Display the 2nd fax number of the contact.
Email Address -- Display the Email address of the contact.
Notes -- Display the notes for the contact.

Sending Options Tab

In the [Sending Options] tab, the following items are displayed:

When displaying the properties of a contact in the Private Address Book, you can modify the following settings: Use Sub Address and sender information Sub Address Sender Identification Any items other than the above cannot be set.

Use Device Settings -- This is selected when the contact is set to use the device settings instead of the settings on this tab.
Use Sub Address and sender information -- This is selected when the sub address transmission for this contact is enabled. When this is selected, a document will be always sent using the specified sub address and SID. Also you can use this contact to perform polling transmission from the mailbox in the remote facsimile using the specified sub address and password.
Sub Address -- Display the sub address or mailbox number of remote facsimile where a document will be sent.
Sender Identification -- Display the security password for the sub address if required.
Selective Polling -- Display the mailbox number of remote facsimile where a document will be retrieved.
Password -- Display the password for the selective polling if required.
Oversea Calls -- This is selected when calling the contact fax number will be overseas call.
Error Correction Mode -- This is selected when the ECM for this contact is enabled.
Print Transmission Report -- This is selected when printing the transmission report after the transmission is enabled.
Reduction -- This is selected when the attenuation is enabled.
Short Protocol -- This is selected when the short protocol is enabled.
Line Monitor -- This is selected when the Line Monitor for the fax transmission is enabled.
Line Selection -- Display whether the line 1 or line 2 is used for the fax transmission. The line 2 can be selected only when optional Line 2 board is installed.
Transmission Type -- Display whether the memory transmission or direct transmission is used for the transmission.
Internet Fax Mode -- Display whether the simple mode or full mode is used for the Internet Fax transmission.
Setting Value -- Display whether to use auto detect receiver capability or manual settings for the Internet Fax transmission. When [Default] is selected, it enable auto detect receiver capability for the Internet Fax transmission. When [Custom] is selected, the custom settings specified in the [Receiver Capability] option are used.
Receiver Capability -- Display the receiver capabilities settings, such as resolution, compression, and page width. These are applied to the transmissions only when [Custom] is selected in the [Setting Value] option.

Security Tab (Public Address Book only)

In the [Security] tab, the following items are displayed:

Owner -- Display the owner name of this contact.
Password -- Display the password of this contact.
Editing Date -- Display the date that this contact is created.


Removing contacts

You can remove contacts from the Private Address Book.

  1. Select the contact you want to remove in the contact list, and then [Delete] in the [File] menu.

    2. The [Confirm Deletion] dialog box appears.

  2. Click [Yes].

    3. The selected contacts are deleted.


Managing groups

You can add groups to the "Group" folder in the Private Address Book. Groups can be used for multiple transmission.

» "Creating groups"

You can also modify the group name and delete the group.

» "Modifying groups name"

» "Removing groups"

After you create a group, you can add or delete contacts in the group. For the instruction to add contacts in a group, please see the following section.

» "Managing contacts"


Creating groups

You can create groups in the "Group" folder in the Private Address Book.

  1. Select the "Group" folder in the "Private Address Book" folder.
  2. Click the [File] menu and select [New Group].

    3. The [Group] dialog box appears.

  3. Enter a group name in the [Group Name] box.

    4. The [Group ID] box displays the Group ID number automatically detected.

  4. Click [OK].

    5. The group is created in the selected "Group" folder.

  5. Continue to add contacts to the group.

    6. » "Managing contacts"


Modifying groups name

You can change a group name in the groups in the Private Address Book. You can also display the properties of a group in the Public Address Book.

  1. Select the group that you want to display or modify the group properties in the "Group" folder either of the Private Address Book or Public Address Book.
  2. Click the [File] menu and select [Properties].

    3. The [Properties] dialog box appears.

  3. When you display the properties of the group in the Private Address Book, modify the group name in the [Group Name] box and click [OK].

    4. The group name of selected group is modified.

    You cannot modify the group of the Public Address Book.


Removing groups

You can delete groups in the Private Address Book.

When you delete a group, the contacts registered in the group are also deleted.

  1. Select the group that you want to delete in the "Group" folder of the Private Address Book.
  2. Click the [File] menu and select [Delete].

    3. The [Confirm Deletion] dialog box appears.

  3. Click [Yes].

    4. The selected group is deleted.


Searching contacts

You can search the contacts registered in the address book and check the search results. When the AddressBook Viewer is run from a Fax driver, you can select the recipients for a Network Fax in the search results.

» "Searching contacts and checking the search results"

» "Selecting recipients from the search results"


Searching contacts and checking the search results

  1. Select [Find] from the [Edit] menu.

    2. The [Find Contact] dialog box appears.

  2. Select an address book to search in the [Data Source] box.

    3. To change the setting of the default address book in the [Data Source] box, select [View] - [Default Configuration] - [Data Source] and then choose an address book.

  3. Display the [Person] tab and enter search strings in the following boxes.

    4. Display Name -- To search display names, enter a search string here.

    Fax Number -- To search fax numbers, enter the numbers here.

    Email -- To search Email address, enter a search string here.

    If you perform searching in the above conditions, proceed to step 5. If you want to set more detailed search conditions, proceed to step 4 and set the [Detail Setting] tab. Note that even if you enter the search conditions in both the [Person] and [Detail Setting] tabs, you cannot perform searching in these combined conditions.

    In the [Person] tab, you do not have to fill in all the boxes and the string does not need to completely correspond to the target of the search. Entering one or more characters in one or more boxes causes a search to be made for contacts which correspond to the particular conditions.

  4. Display the [Detail Setting] tab, set the search condition, and then click [Add].

    5. Field Select -- Select an item to be searched.

    Condition of search string -- Select a condition in the left-hand box, and then enter a search string in the right-hand box.

    The search condition is displayed in the "Condition list".

    To set more than one search condition, repeat this operation as many times as needed.

    To delete the search conditions, select one and click [Remove].

  5. Click [Search].

    6. It starts searching contacts in the selected address book. When the search is complete, the contacts matching the search conditions are listed.

    To stop searching, click [Stop].

    To clear all the current search conditions and results, click [Clear All].

    Even if you enter the search conditions in both the [Person] and [Details] tabs, only the search condition in the tab currently displayed is used. You cannot perform searching in the combined conditions on both tabs.


Selecting recipients from the search results

When the AddressBook Viewer is run from a Fax driver, the searched contacts can be selected as recipients for Network Fax. To send a Network Fax, select the fax number. To send an Internet Fax, select the Email address.

To use the network fax function (Network Fax/Internet Fax) by using the Fax driver, the options and functions must be enabled.

  1. Drag and drop the contacts to "Selected Fax" or "Selected Email" from the list of the search results.

    2. The selected recipients are listed in "Selected Fax" or "Selected Email".

    A contact, for which only a fax number is registered, cannot be displayed in the "Selected Email" and a contact, for which only an Email address is registered, cannot be displayed in the "Selected Fax".

    You can select a recipient by the following operations:

    Selecting a contact by double-clicking on it

    Double-click on a contact in the list of the search results. To change the setting of the recipient to be selected upon double-clicking, select [Default Configuration], [Type Selection] in the [View] menu and then one of [Fax Number], [Email Address] and [Both].

    Selecting a contact from a shortcut menu

    Right-click on the contact in the list of the search results, select [Select] from the shortcut menu and then either [Fax Number] and [Email].

    Removing a recipient

    Select a recipient in the "Selected Fax" or "Selected Email" and click the corresponding [Remove] (Left: fax number, Right: email address).

  2. Click [OK].

    3. The selection is determined and the AddressBook Viewer is closed.


Version

Ver02 2015-02

OME120283B0